<?php
namespace Ma\Web;

use Ma\Sys\Dbg;
use Ma\App;
use Ma\Web\AbstractController;
use Twig\Environment;

/**
 * @package         Ma\Web
 * @class           WebController
 * @extends         AbstractController
 * @author          Mahdi Abu Yasmine
 * @date            2024-02-17 03:00:29 CET
 * @copyright       meta-tech.academy
 */
class WebController extends AbstractController
{

    protected Environment $tpl;

    /**
     * @inherit
     */
    public function init(App $app)
    {
        $this->tpl = $app['tpl']("default");
    }

    /**
     * @inherit
     */
    public function connect(): array
    {
        return [];
    }

}
