<?php
namespace Ma\Web;

use Ma\App;

/**
 * @package         Ma\Web
 * @interface       ControllerInterface
 * @author          Mahdi Abu Yasmine
 * @date            2024-02-16 20:39:18 CET
 * @copyright       meta-tech.academy
 */
interface ControllerInterface
{
    /**
     * @public
     * @param       Ma\App  $app
     */
    public function init(App $app);

    /**
     * @public
     * @return      array
     */
    public function connect(): array;
}
